Status: Resolved Start date: 2015-09-10
Priority: High Due date:
Assignee: Nicholas Jillings % Done: 40%
Category: Estimated time: 0.00 hour
Target version:
Description

Currently the Python script returns an HTTP code depending on the saving result, however the PHP script will return the HTTP OK
code (200) even if the data was not saved. This could happen on servers with PHP not enabled where the server will host the script
itself as a file, and so returns the file.

Related issues:
Related to Bug # 1325: Storing results on web server not working Resolved 2015-07-09

History
#1 - 2015-11-20 03:57 PM - Nicholas Jillings
- Assignee set to Nicholas Jillings
- % Done changed from 0 to 40

PHP returns short XML containing status and file URL if completed, otherwise returns error message. Core will dump this status into the console. If
error returned, core will present 'Save File' popup to user.

#2 - 2015-11-23 09:55 AM - Nicholas Jillings
- Related to Bug #1325: Storing results on web server not working added

#3 - 2015-11-27 12:28 PM - Nicholas Jillings
- Status changed from New to Resolved

Both PHP and Python servers now respond with a confirmation of saving, otherwise an explanation of the error. Core requires both an HTTP 200 code
and the XML status OK code.
